package provide Preferences 1.0
namespace eval Preferences {
	
	namespace export PSet PGet PDelete 
	
	proc PSet { domain key value } {
		catch {exec /usr/bin/defaults write $domain $key $value}
		return
	}
	
	proc PGet { domain key } {
		if {[catch {exec /usr/bin/defaults read $domain $key} value]} {
			return ""
		}
		return $value
	}
	
	proc PDelete { domain key } {
		catch {exec /usr/bin/defaults delete $domain $key}
		return
	}
	
}
